Subject: bug#44445: json-c cross-build fails from x86-64 to armhf

From: Ludovic Courtès <[email-masked]>
Date: Fri, 06 Nov 2020 11:01:04 +0100

Hi,

Jesse Gibbons <[email-masked]> skribis:

> ~$ guix build --system=armhf-linux json-c

Like Danny hinted, this is *not* cross-compilation: this is native
compilation on ARMv7.  It works because either you’ve set up offloading
to an actual ARMv7 machine, or you’ve set up transparent QEMU emulation.

In the latter case, you may encounter issues like those Danny mentions.

Thanks,
Ludo’.